Mantis Bug Tracker
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023580Community[OCCT] OCCT:Meshpublic2012-11-25 19:562013-04-29 15:21
ReporterRoman Lygin 
Assigned Tomkv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023580: [Regression] BRepMesh 6.5.4 produces visually incorrect view
Description6.5.4 produces visually incorrect view and 13.8x greater deflection vs 6.3.1 which had a correct visual view and small deflection.

Details - see screenshots and results of trinfo

6.3.1:
This shape contains 401 triangles.
                    312 nodes.
Maximal deflection 0.101375921446336

6.5.4:
This shape contains 412 triangles.
                    311 nodes.
Maximal deflection 1.3968555901178457
Steps To Reproducein DRAWEXE:
pload ALL
vinit
vsetdispmode 1
restore s01b.brep s
vdisplay s
trinfo s

TagsNo tags attached.
Test case numberbugs mesh bug23580
Attached Fileszip file icon s01b.zip (56,728 bytes) 2012-11-25 19:56
png file icon s01b-631.png (56,799 bytes) 2012-11-25 19:56
png file icon s01b-654.png (64,156 bytes) 2012-11-25 19:57
png file icon s01b_master.png (46,231 bytes) 2012-11-29 13:09

- Relationships

-  Notes
(0022379)
Roman Lygin (developer)
2012-11-25 20:35

See also 0023581 and http://www.opencascade.org/org/forum/thread_23944/?add_id=23956&forum=3 [^]
(0022441)
oan (developer)
2012-11-29 13:09

Dear Roman,
This problem has already been fixed.

The following results are received from OCC build based on current master:
This shape contains 227 triangles.
                    217 nodes.
Maximal deflection 0.12120539302396564

Please find the result shape in attachments (s01b_master.png)
(0022463)
Roman Lygin (developer)
2012-11-29 22:08

Excellent! Thank you.
I will be able to verify and close the bug when the next public release is out (can't built interim versions).
(0022511)
abv (manager)
2012-12-03 12:34

Please add a test case
(0022696)
apn (tester)
2012-12-14 11:29

Git branch CR23580 created from current master.
Test case:
bugs mesh bug23580 - OK

- Related Changesets
occt: master c7e8fd77
Timestamp: 2012-12-14 07:26:10
Author: apn
Committer: mkv
Details ] Diff ]
0023580: [Regression] BRepMesh 6.5.4 produces visually incorrect view

Added test case and modified end file in /bugs/mesh
add - tests/bugs/mesh/bug23580 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-25 19:56 Roman Lygin New Issue
2012-11-25 19:56 Roman Lygin Assigned To => oan
2012-11-25 19:56 Roman Lygin File Added: s01b.zip
2012-11-25 19:56 Roman Lygin File Added: s01b-631.png
2012-11-25 19:57 Roman Lygin File Added: s01b-654.png
2012-11-25 20:35 Roman Lygin Note Added: 0022379
2012-11-29 13:09 oan Note Added: 0022441
2012-11-29 13:09 oan File Added: s01b_master.png
2012-11-29 13:10 oan Assigned To oan => Roman Lygin
2012-11-29 13:10 oan Status new => feedback
2012-11-29 22:08 Roman Lygin Note Added: 0022463
2012-11-29 22:08 Roman Lygin Status feedback => assigned
2012-12-03 12:33 abv Assigned To Roman Lygin => apn
2012-12-03 12:33 abv Status assigned => resolved
2012-12-03 12:33 abv Target Version => 6.6.0
2012-12-03 12:34 abv Note Added: 0022511
2012-12-03 12:34 abv Status resolved => assigned
2012-12-14 11:29 apn Note Added: 0022696
2012-12-14 11:29 apn Test case number => bugs mesh bug23580
2012-12-14 11:29 apn Assigned To apn => bugmaster
2012-12-14 11:29 apn Status assigned => resolved
2012-12-14 11:30 apn Status resolved => reviewed
2012-12-14 11:30 apn Status reviewed => tested
2012-12-18 10:45 mkv Changeset attached => occt master c7e8fd77
2012-12-18 10:45 mkv Assigned To bugmaster => mkv
2012-12-18 10:45 mkv Status tested => verified
2012-12-18 10:45 mkv Resolution open => fixed
2013-04-23 13:36 aiv Status verified => closed
2013-04-29 15:21 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker